/****************************************
 *  COPYRIGHT (C) 2021
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 * @author graf
 *
 */
public enum CostReduction {
    normal(1, 100),
    level1(10, 95),
    level2(30, 90),
    level3(50, 80),
    level4(100, 70);

    private final int buildtime;
    private final int cost;

    private CostReduction(int buildtime, int cost) {
        this.buildtime = buildtime;
        this.cost = cost;
    }

    public int getBuildtime() {
        return buildtime;
    }

    public int getCost() {
        return cost;
    }

}
