/****************************************
 *  COPYRIGHT (C) 2010
 *  Holger Graf
 ****************************************/
package sitool.components;

import javax.swing.UIManager;

/**
 * @author graf
 *
 */
public enum LaFStyle 
{
    black( "org.pushingpixels.substance.api.skin.SubstanceOfficeBlack2007LookAndFeel" ),
    blue( "org.pushingpixels.substance.api.skin.SubstanceOfficeBlue2007LookAndFeel" ),
    bluesteel( "org.pushingpixels.substance.api.skin.SubstanceBusinessBlueSteelLookAndFeel" ),
    blacksteel( "org.pushingpixels.substance.api.skin.SubstanceBusinessBlackSteelLookAndFeel" ),
    creme( "org.pushingpixels.substance.api.skin.SubstanceCremeLookAndFeel" ),
    challenger( "org.pushingpixels.substance.api.skin.SubstanceChallengerDeepLookAndFeel" ),
    dust( "org.pushingpixels.substance.api.skin.SubstanceDustLookAndFeel" ),
    emerald( "org.pushingpixels.substance.api.skin.SubstanceEmeraldDuskLookAndFeel" ),
    graphite( "org.pushingpixels.substance.api.skin.SubstanceGraphiteLookAndFeel" ),
    nebula( "org.pushingpixels.substance.api.skin.SubstanceNebulaLookAndFeel" ),
    raven( "org.pushingpixels.substance.api.skin.SubstanceRavenLookAndFeel" ),
    sahara( "org.pushingpixels.substance.api.skin.SubstanceSaharaLookAndFeel" ),
    silver( "org.pushingpixels.substance.api.skin.SubstanceOfficeSilver2007LookAndFeel" ),
    defaultLaF( UIManager.getSystemLookAndFeelClassName() );
    
    private String className;
    
    private LaFStyle( String name )
    {
        className = name;
    }

    public String getClassName()
    {
        return className;
    }
}
