/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 * @author graf
 *
 */
public enum Unit 
{
    Minute( 1.0 / 60.0 ),
    Hour( 1.0 ),
    Day( 24.0 ),
    ;
    
    double multiplier;
    
    private Unit( double multiplier )
    {
        this.multiplier = multiplier;
    }
    
    public double getMultiplier()
    {
        return multiplier;
    }
}
