/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.components;


public enum Resource 
{
    iron( 12 ),
    metal( 5 ),
    kryptonite( 6 ),
    spice( 2 ),
    ;
    
	private int weight;


    private Resource( int weight )
    {
        this.weight = weight;
    }


    /**
     * @return the weight
     */
    public int getWeight()
    {
        return weight;
    }

    public Resource next()
    {
        Resource rv = null;
        if( this != spice )
        {
            rv = Resource.values()[ordinal() + 1];
        }
        return rv;
    }
    
}
